Mettre à jour debian etch 4.0 vers debian lenny 5.0

19/06/2009 - 9111 consultations - 0 commentaire


Ce mini tutoriel vous explique comment mettre à jour votre distribution stable debian de etch 4.0 à lenny 5.0

Mise en garde :
Cette manipulation fonctionne très bien quand on installe que des paquets provenant des dépôts debian, si vous avez compilé certains programmes, comme par exemple des drivers propriétaires de carte graphique, il se peut qu'il vous faille les réinstaller.
 
On commence par mettre à jour sa distribution debian etch, on se connecte donc à notre serveur en ssh sous root et on tape :
apt-get update

Si des paquets sont à mettre à jour, on tape :
apt-get upgrade

On modifie maintenant le fichier indiquant les sources de dépôt en remplaçant etch par lenny.
Ce fichier est :
nano /etc/apt/sources.list

Il ne nous reste plus qu'à effectuer la mise à jour de la distribution :
apt-get dist-upgrade

Une fois cela effectué, on peut vérifier que tout est bien à jour :
apt-get update

Si tout est à jour, on reboot :
reboot

On peut vérifié une fois le reboot effectué qu'on est bien sous lenny en affichant le contenu du fichier /proc/version :
cat /proc/version
Linux version 2.6.26-2-486 (Debian 2.6.26-15lenny3)

Et voilà, tout propre, tout récent !!!

Commentez cet article

Nom (obligatoire)
E-mail (obligatoire)
Site Internet (facultatif)
code anti-spam

Me tenir inform� des nouveaux messages


terminal.pngInstallation de subversion un dépôt de données SVN
Vous trouverez dans cet article l'intégralité de l'installation d'un entrepôt de sources subversion, celà permet de gérer les version en développement de sauvegarder toutes les modifications de vos sources de sites ou programmes
mycomputer.pngInstaller le serveur FTP Proftpd et stocker les utilisateurs dans une base de données MySQL sous Linux Debian Squeeze avec mots de passe encryptés en MD5
Ce tutoriel vous présente comment installer le serveur FTP Proftpd lié à MySQL sous Linux Debian Squeeze ainsi que la gestion de vos utilisateurs dans une table MySQL avec encryption des mots de passe en MD5
cdcopy.pngMettre à jour debian etch 4.0 vers debian lenny 5.0
Ce mini tutoriel vous explique comment mettre à jour votre distribution stable debian de etch 4.0 à lenny 5.0
database.pngInstallation MySQL 5 sous Debian Etch et Lenny
Tutoriel d'installation de MySQL 5 sous Debian Etch et Lenny à partir des paquets officiels
ark.pngApt-proxy, serveur proxy de dépot de paquets debian
Apt-proxy permet de centraliser l'accès aux dépots debian en créant un proxy sur lequel toutes les machines de votre lan vont chercher les paquets à installer et mettre à jour
database.pngInstallation MySQL 5 sous Debian Sarge avec les paquets backports.org
Tutoriel d'installation de MySQL 5 sous Debian Sarge à partir des paquets backports.org
terminal.pngServeur ftp proftpd avec utilisateurs virtuels sous linux debian ubuntu
Ce tutoriel vous présente comment installer le serveur ftp proftpd à partir des paquets debian. Pour éviter de créer autant d'utilisateurs Linux que de compte FTP il est possible de créer des utilisateurs virtuels seulement disponibles pour le serveur FTP
encrypted.pngProtéger un dossier web apache2 par login et mot de passe avec un htaccess et un htpasswd sous debian lenny
Ce tutoriel vous présente comment protéger un répertoire web apache2 par login et mot de passe avec un htaccess et un htpasswd sous debian lenny
mail_generic.pngProblème à l'installation d'Exim4 : Could not perform immediate configuration on 'exim4-daemon-light'. sous Linux Debian
Il peut arriver que vous rencontriez un problème lors de l'installation d'Exim4, une erreur du style : Could not perform immediate configuration on 'exim4-daemon-light'.